
FreeBSD Administration - Feature #793

Find File Extension Statistics For a Directory on FreeBSD

04/07/2016 04:06 PM - Daniel Curtis

Status: Closed Start date: 04/07/2016

Priority: Normal Due date:  

Assignee: Daniel Curtis % Done: 100%

Category: Workstation Estimated time: 0.10 hour

Target version: FreeBSD 10 Spent time: 0.50 hour

Description

I recently needed to find how many of each filetypes existed in a given directory. This is the command I used to get the desired data.

Find filetype usage in a given directory:

find /path/to/data/ -type f -and -print | egrep -io '\.[^.]*$' | sort | uniq -c | sort -rn

Resources

http://www.commandlinefu.com/commands/view/10526/list-unique-file-extensions-recursively-for-a-path-include-extension-frequ

ency-stats

History

#1 - 04/07/2016 04:07 PM - Daniel Curtis

- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 04/22/2016 05:05 PM - Daniel Curtis

- Status changed from Resolved to Closed
